*** src/macfns.c.orig	Wed Jun  8 14:57:39 2005
--- src/macfns.c	Sun Jun 26 01:46:53 2005
*************** mac_nav_event_callback (selector, parms,
*** 4461,4466 ****
--- 4461,4488 ----
       void *data ;
  {
  }
+ 
+ #if MAC_OSX
+ DEFUN ("mac-show-menu-bar", Fmac_show_menu_bar, Smac_show_menu_bar, 0, 1, "",
+        doc: /* Show the menu bar.  */)
+   (display)
+      Lisp_Object display;
+ {
+   if ( EQ (Vwindow_system, intern ("mac")))
+     ShowMenuBar();
+   return Qnil;
+ }
+ DEFUN ("mac-hide-menu-bar", Fmac_hide_menu_bar, Smac_hide_menu_bar, 0, 1, "",
+        doc: /* Hide the menu bar and the Dock on Mac OSX.  */)
+   (display)
+      Lisp_Object display;
+ {
+   if ( EQ (Vwindow_system, intern ("mac")))
+     HideMenuBar();
+   return Qnil;
+ }
+ #endif /*MAC_OSX*/
+ 
  #endif
  
  /***********************************************************************
*************** Chinese, Japanese, and Korean.  */);
*** 4674,4679 ****
--- 4696,4705 ----
  
  #if TARGET_API_MAC_CARBON
    defsubr (&Sx_file_dialog);
+ #if MAC_OSX
+   defsubr (&Smac_show_menu_bar);
+   defsubr (&Smac_hide_menu_bar);
+ #endif
  #endif
  }
  
